// Realizar una solicitud AJAX para obtener la sesión
$.ajax({
    type: "GET",
    url: "../../Controlador/Utilidades/Notifi_Editar_Abastecimiento.php",
    dataType: "json",

    success: function(response) {
        
        if (response && response.UpdateAbastecimiento) {
            
            var abastecimientoId = response.UpdateAbastecimiento;
            
            Swal.fire({
                title: 'Abastecimiento N° ' + abastecimientoId,
                text: '¡Editado Correctamente!',
                icon: 'success',
                showConfirmButton: false,
                timer: 1800
            });

            console.log("Abastecimiento con ID: " + abastecimientoId + " editado correctamente.");

            // Eliminar la sesión
            eliminarSesionAbastecimiento();

        } else {
            // NO mostrar alerta si no existe la sesión
            console.log("No existe sesión [UpdateAbastecimiento]. Nada que notificar.");
        }
    },

    error: function(xhr, status, error) {
        Swal.fire({
            title: 'Error',
            text: 'Hubo un error al obtener la sesión. Por favor, inténtalo de nuevo más tarde.',
            icon: 'error',
            showConfirmButton: true
        });
        console.error("-> AJAX(Notifi_Editar_Abastecimiento.php): ", error);
    }
});

function eliminarSesionAbastecimiento() {
    $.ajax({
        type: "GET",
        url: "../../Controlador/Utilidades/POST_Eliminar_abastecimientoUpdate.php",
        dataType: "json",

        success: function(response) {
            console.log("-> Mensaje [POST_Eliminar_abastecimientoUpdate]:", response.abastecimiento_delate);
        },

        error: function(xhr, status, error) {
            console.error("-> AJAX(POST_Eliminar_abastecimientoUpdate.php): ", error);
        }
    });
}
